开源可以用来做设计吗？
================


开源的[超凡和威力][15]毋庸置疑。从服务器到个人电脑桌面、移动设备，甚至到所谓的“物联网”的根基，开源在各个领域遍布全球，无论公开还是私密。然而有一个行业，传统的专有闭源软件解决方案依然是占主导地位，并且通常特别昂贵，这就是设计产业。在这篇文章中，我们会大致描述一些自由及开源的可选软件来抛砖引玉，看是否能代替你现在所用的设计工具集。也许你是一个刚起步的设计师，明白节省开支的重要性。也许你的经验十分丰富，只是单纯的想换一个更加“开放”的工作方式。读下去，让我们看看[自由及开源软件][14]世界到底带来了什么！

### 绘图

在开源世界，有几个可行且十分强大的工具，代替 Adobe 支持的主流产品。

#### GIMP

GIMP 或者说 [GNU 图像处理程序][13]是一个非常强大的免费开源的 Adobe 公司 PhotoShop 的替代品。由一个相当强大的核心团队开发和维护，GIMP 为设计创造提供了强大的图片编辑工具，比如滤镜、笔刷、修饰。如果你想使用 UX/UI 库设计模型，GIMP 甚至可以处理 .PSD 文件。最后，GIMP 还可以用来做数字艺术、图标等类似的东西。GIMP 可以免费下载并在 Linux、MacOS 和 Windows 上运行。

#### Inkscape

[Inkscape][12]有一个代表它的核心价值观的绰号 —— “Draw Freely”，是一个开源而且免费的 Adobe 公司另一产品 —— 强大但专有而且昂贵的矢量程序 Illustrator 的替代品。Inkscape 提供了大量的设计和画图工具，易用的颜色选取导航栏，滤镜和渐变工具，还有很多很多。如果设计师下决心使用开源软件解决方案，你可以在博客和论坛帖子上找到非常好的在线文档。像 GIMP 一样，Inkscape 也可以免费下载并在 Linux、MacOS 和 Windows 上运行。

想从经验丰富的图形和网页设计师那里学习更多关于这些开源工具的使用知识？请在 YouTube 网站上找一下这些人：

*   [Nick Saporito][3] （Nick 有非常优秀的关于 Inkscape 基本特色的介绍指导，涵盖了平常你设计图标、网站或者图形设计师会使用的基本功能）。
*   [Irfan Prastinato][2] （Irfan 的亮点是把 Inkscape 专门用于现代图标的创作）。
*   [Cameron Bohnstedt][1] （Cameron 是一个数字艺术家，由于他很专业并且有丰富的经验，开源工具（GIMP、Inkscape、Blender）的力量被真正的展示了出来。很有感染力，值得一看）。

### 网页设计与开发

当提到功能丰富、响应快速的网页的设计和完全成型时，这里有几个工具 —— 有些是开源的 —— 供设计师选择。这些工具最近几年发展的很好，在我看来他们反映出若非响应式网页设计需要像我们创造设备那样去不断的紧跟设计潮流的现实。

#### Bootstrap

在我看来，[Bootstrap][11]已经促进了设计发展，并且在原有的响应式，特别是移动为先的设计原则上实现了跳跃式的突破。Boostrap 最初由 Twitter 开发人员 Mark Otto 和 Jacob Thornton 开发，是一个完全开源、完全可定制的开发框架，利用它你可以制作出满足你的客户需求的网页。有了 Bootstrap 就有了坚实的 Bootstrap 4.0 基础，目前正在进行内部测试，并且承诺在 3.0 版本的基础上做大量的底层优化，其中包括 CSS 预处理器从 Less 转为 Sass，一个增强的网格系统，JavaScript 插件的重构等等。

#### Gravit

另一个自由开放源代码的矢量程序 Gravit，受到我们的注意它当之无愧。Gravit 可以在浏览器上运行，它不仅是 Adobe Illustrator 在矢量方面的一个切实可行的替代品（尽管功能不是那么丰富），也有望成为一个成熟的设计环境。不论是把图标打印出来还是应用到移动应用、移动网页上，任何东西你都可以进行直截了当的设计。自从 Gravit 成为我在浏览器上的可选工具后，我最近一些工作就是靠它完成的，除此之外它还很强大，简洁直观。

### 一些免费但不开源的解决方案……

#### Webflow

[Webflow][9]是一个强大的全能网页设计平台，可以很舒适运行在浏览器中。Webflow 的奇妙之处是设计网页基本上不需要写代码，当你设计时，它会在后台自动生成一定程度的代码。我发现 Webflow 的接口十分干净清爽，很容易查找，非常直观。诚然，Webflow 没有开源，但是免费版支持同时设计和开发两个网页项目。

#### Froont

另一个基于浏览器的设计程序是[Froont][8]。和 Webflow 相似, Froont 设计非常直观简洁，而且强大。利用 Froont，在任何相关设备上，你都可以高效有力的设计一个全新、独一无二的完整的响应式网站。Froont 允许设计师在需要的时候导出代码，这和 Webflow 很像。

Webflow 和 Froont 除了收费计划外均有免费版，均完美支持同时设计不止一个页面，如果你选择将你的工作成果发布到网上，它们都可以提供帮助。

### 文本编辑器

这里有几个选项供想使用自由开源编辑器的设计师和开发者选择，亦可作为自己平常编写代码工具的替代品。

#### Atom

作为“[可黑的 21 世纪编辑器][7]”, Atom 是全能的，完成工作时好像每一个内置功能 —— 比如代码自动补全、多功能视图 —— 都没有浪费。它的可玩性很高，用户可以以自己喜欢的方式对 Atom 进行自定义。Atom 有自己的包管理器, 用户可以下载成千上万的软件包进一步自定义 Atom，添加独一无二的功能。

### 结论

当今时代，设计师不需要觉得被昂贵臃肿的专有软件所束缚。有这么多任凭吩咐的开源工具，关于预算、自由和开源觉悟，设计师就有足够多的选择，为他们的客户创造漂亮、实用的设计作品。如果喜欢这篇文章就分享吧，也可以在下面评论你最喜欢的开源的设计工具！

[分享到 Google+][6][分享到 Twitter][5][分享到 Facebook][4]

--------------------------------------------------------------------------------

via: https://freedompenguin.com/articles/opinion/open-source-design-thing/

作者：[Sean LeRoy][a]

译者：[fuowang](https://github.com/fuowang)

校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://freedompenguin.com/author/seanleroy/
[1]:https://www.youtube.com/channel/UCOfXyFkINXf_e9XNosTJZDw
[2]:https://www.youtube.com/user/desainew
[3]:https://www.youtube.com/channel/UCEQXp_fcqwPcqrzNtWJ1w9w
[4]:http://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Ffreedompenguin.com%2Farticles%2Fopinion%2Fopen-source-design-thing%2F
[5]:http://twitter.com/intent/tweet/?text=Is+Open+Source+Design+a+Thing%3F&url=https%3A%2F%2Ffreedompenguin.com%2Farticles%2Fopinion%2Fopen-source-design-thing%2F
[6]:https://plus.google.com/share?url=https%3A%2F%2Ffreedompenguin.com%2Farticles%2Fopinion%2Fopen-source-design-thing%2F
[7]:https://atom.io/
[8]:http://froont.com/
[9]:https://webflow.com/
[10]:https://gravit.io/
[11]:http://getbootstrap.com/
[12]:https://inkscape.org/en/
[13]:https://www.gimp.org/
[14]:https://en.wikipedia.org/wiki/Free_and_open-source_software
[15]:https://medium.com/dawn-capital/why-leverage-the-power-of-open-source-to-build-a-successful-software-business-8aba6f665bc4#.ggmn2ojxp
